Subject: bug#45121: 27.1; gnu-elpa: "Can’t find the autoload call!"

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Dec 2020 10:20:59 -0500

> After installing gnu-elpa from GNU ELPA, I tried running 'M-x sml-mode',
> which resulted in the following error:
>
> Debugger entered--Lisp error: (error "Can’t find the autoload call!")
>   signal(error ("Can’t find the autoload call!"))
>   error("Can't find the autoload call!")
>   gnu-elpa--autoloaded-function()
>   gnu-elpa--perform-autoload()
>   byte-code("\300\301!\210\302 \207" [require gnu-elpa-utils gnu-elpa--perform-autoload] 2)
>   autoload-do-load((autoload "gnu-elpa" "Major mode for editing Standard ML
> code.\nThis mode..." t nil) sml-mode)
>   command-execute(sml-mode record)
>   execute-extended-command(nil "sml-mode" "sml-mo")
>   funcall-interactively(execute-extended-command nil "sml-mode" "sml-mo")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>
> Not sure whether that's a bug or if I'm using the package wrong.

That'd be a bug.  And thanks for the recipe which I can reproduce here
fine.  Not sure yet what's the problem, but looking at the stacktrace it
looks like there's no visible funcall to `sml-mode` which is explains
why `gnu-elpa` can't figure out which function is to be autoloaded.

        Stefan